package com.ss.android.ugc.aweme.creatortools.creatorplus;

import X.0Bt;
import X.1Bn;
import X.7he;
import X.C44553y3;
import X.C44603y8;
import X.C44613y9;
import X.C44623yA;
import X.C44633yB;
import X.Crj;
import X.Mjy;
import X.Mk2;
import X.Mk3;
import X.PhE;
import X.PlI;
import com.bytedance.covode.number.Covode;
import com.ss.android.ugc.aweme.base.api.BaseResponse;

public final class CreatorPlusViewModel extends 0Bt {
    public final Mjy LIZ = new Mjy();
    public final Crj LIZIZ = 7he.LIZ(C44633yB.LIZ);
    public final Crj LIZJ = 7he.LIZ(C44623yA.LIZ);

    static {
        Covode.recordClassIndex(62803);
    }

    public final 1Bn<C44553y3> LIZ() {
        return (1Bn) this.LIZIZ.getValue();
    }

    public final 1Bn<BaseResponse> LIZIZ() {
        return (1Bn) this.LIZJ.getValue();
    }

    public final void onCleared() {
        CreatorPlusViewModel.super.onCleared();
        this.LIZ.dispose();
    }

    public final void LIZJ() {
        this.LIZ.LIZ(CreatorPlusApi.LIZIZ.LIZ().LIZIZ(PhE.LIZIZ(PlI.LIZJ)).LIZ(Mk2.LIZ(Mk3.LIZ)).LIZ(new C44613y9(this), new C44603y8(this)));
    }
}
